"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function parseToDbValue(value) {
    if (value === 0)
        return value;
    if (value === '')
        return "''";
    if (value && value instanceof Function)
        return null;
    if (value && typeof value === 'object' && value.constructor === Object ||
        value && typeof value === 'object' && value.constructor === Array ||
        value && typeof value === 'object' && value.constructor.constructor === Function) {
        value = JSON.stringify(value);
    }
    return Number(value) || (value && "'" + value.toString().replace(/'/g, "''") + "'" || null);
}
exports.parseToDbValue = parseToDbValue;
function parseToJsValue(value) {
    if (!value)
        return value;
    var parsedValue = value;
    try {
        parsedValue = JSON.parse(value);
    }
    catch (ex) { }
    return parsedValue;
}
exports.parseToJsValue = parseToJsValue;
var ExtendedPromise = (function () {
    function ExtendedPromise(executorFn) {
        this._subscribers = [];
        this._executorFn = executorFn;
    }
    ExtendedPromise.prototype.map = function (callback) {
        this._subscribers.push({ callback: callback });
        return new Promise(this._executorFn.bind(null, this._subscribers));
    };
    ExtendedPromise.prototype.reduce = function (callback, initialValue) {
        this._subscribers.push({ callback: callback, initialValue: initialValue });
        return new Promise(this._executorFn.bind(null, this._subscribers));
    };
    ExtendedPromise.prototype.process = function () {
        return new Promise(this._executorFn.bind(null, this._subscribers));
    };
    return ExtendedPromise;
}());
exports.ExtendedPromise = ExtendedPromise;
//# sourceMappingURL=sqlite-access.common.js.map